com.jscape.inet.mft.audit.reporting.metricses

## Enum UserDetail.StatusHandler

- java.lang.Object
- - java.lang.Enum<UserDetail.StatusHandler>
  - - com.jscape.inet.mft.audit.reporting.metricses.UserDetail.StatusHandler

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserDetail.StatusHandler>
  Enclosing class:
    UserDetail

      public static enum UserDetail.StatusHandler
      extends java.lang.Enum<UserDetail.StatusHandler>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE_DOWNLOADED`
    `FILE_UPLOADED`
    `LOGGED_IN`
    `NULL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `status`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `handle(com.jscape.inet.mft.LogRecord record, UserDetail.Entry entry)`
    `static UserDetail.StatusHandler` | `handlerFor(java.lang.String status)`
    `static UserDetail.StatusHandler` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserDetail.StatusHandler[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final UserDetail.StatusHandler NULL

    - #### LOGGED_IN

          public static final UserDetail.StatusHandler LOGGED_IN

    - #### FILE_UPLOADED

          public static final UserDetail.StatusHandler FILE_UPLOADED

    - #### FILE_DOWNLOADED

          public static final UserDetail.StatusHandler FILE_DOWNLOADED

  - ### Field Detail

    - #### status

          public final java.lang.String status

  - ### Method Detail

    - #### values

          public static UserDetail.StatusHandler[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserDetail.StatusHandler c : UserDetail.StatusHandler.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserDetail.StatusHandler valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### handlerFor

          public static UserDetail.StatusHandler handlerFor(java.lang.String status)

    - #### handle

          public abstract void handle(com.jscape.inet.mft.LogRecord record,
                                      UserDetail.Entry entry)

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved